{% import "apostrophe-templates:macros/caseImageSection.html" as imageSection %}
{% import "apostrophe-templates:macros/chevron.html" as chevron %}

{% set images = apos.images .all(data.widget.images) %}
{% set options = {
    color3: data.page.color3
} %}

<div class="container case-carousel-section {{ data.widget.marginTop }} {{ data.widget.marginBottom }}" {% if data.widget.customBgColor %} style="background-color: {{data.widget.customBgColor}};" {% endif %}>

    <div class="absolute-drawer-body">
        {{ apos.area(data.widget, 'content', { edit: false }) }}
    </div>

    <div class="swiper-container about-page-slideshow">
        <div class="swiper-wrapper">
            {% for image in images %}
                <div class="swiper-slide">
                    {{ imageSection.render(image, { class: 'swiper-lazy'}) }}
                    <div class="swiper-lazy-preloader"></div>
                </div>
            {% endfor %}
        </div>
        {# <div class="swiper-pagination"></div> #}
        <div class="swiper-button-prev">
              {{ chevron.left(options) }}
        </div>
        <div class="swiper-button-next">
           {{ chevron.right(options) }}
        </div>
        {# <div class="swiper-scrollbar"></div> #}
    </div>